fetch_pool 1.0.1 icon indicating copy to clipboard operation
fetch_pool: ^1.0.1 copied to clipboard

A library to asynchronously download URLs using a pool of parallel connections.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add fetch_pool

With Flutter:

 $ flutter pub add fetch_pool

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  fetch_pool: ^1.0.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:fetch_pool/fetch_pool.dart';
0
likes
140
pub points
0%
popularity

Publisher

verified publisher iconthesmythgroup.com

A library to asynchronously download URLs using a pool of parallel connections.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

http, path, pool

More

Packages that depend on fetch_pool